from setuptools import setup, find_packages

setup(
    name='WueNLP-Tools',  # How you named your package folder (MyLib)
    packages=find_packages(),  # Chose the same as "name"
    version='0.1.0',  # Start with a small number and increase it with every change you make
    license='MIT',  # Chose a license from here: https://help.github.com/articles/licensing-a-repository
    description='NLP utilities from Uni Würzburg',  # Give a short description about your library
    author='Albin Zehe',  # Type in your name
    author_email='zehe@informatik.uni-wuerzburg.de',  # Type in your E-Mail
    url='https://gitlab2.informatik.uni-wuerzburg.de/kallimachos/wuenlp-tools',
    # Provide either the link to your github or to your website
    keywords=['NLP', 'UTIL'],  # Keywords that define your package best
    include_package_data=True,
    install_requires=[  # I get to this in a second
        "wuenlp @ git+https://gitlab2.informatik.uni-wuerzburg.de/kallimachos/wuenlp",
        "plotly",
        "openai",
        "pandas",
    ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        # Chose either "3 - Alpha", "4 - Beta" or "5 - Production/Stable" as the current state of your package
        'Intended Audience :: Developers',  # Define that your audience are developers
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',  # Again, pick a license
        'Programming Language :: Python :: 3',  # Specify which python versions that you want to support
        'Programming Language :: Python :: 3.7',
    ],
)
